.pieces-slider {
	position: relative;
	text-align: center;
	padding: 8rem 0;
}

.js .pieces-slider {
	padding: 0;
}

/* Make all slides absolutes and hide them */
.js .pieces-slider__slide {
	position: absolute;
	right: 100%;
}

/* Define image dimensions and also hide them */
.pieces-slider__image {
	max-width: 1920px;
	max-height: 400px;
}

.js .pieces-slider__image {
	visibility: hidden;
}

/* Hide the titles */
.js .pieces-slider__text {
	text-indent: -9999px;
}

/* Canvas with viewport width and height */
.js .pieces-slider__canvas {
	position: relative;
	width: 100%;
	height: 100vh;
	transition: 0.2s opacity;
}

/* Class for when we resize */
.pieces-slider__canvas--hidden {
	opacity: 0;
	transition-duration: 0.3s;
}

/* Navigation buttons */
.pieces-slider__button {
	position: absolute;
	left: 0;
	top: 50%;
	width: 60px;
	height: 60px;
	margin: -25px 0 0 0;
	background-color: #000;
	color: #fff;
	font-family: inherit;
	font-weight: bold;
	border: none;
	cursor: pointer;
	transition: 0.1s background-color;
}

.pieces-slider__button:hover {
	background: #e93a01;
}

.pieces-slider__button--next {
	left: auto;
	right: 0;
}

/* Hide the buttons when no JS */
.no-js .pieces-slider__button {
	display: none;
}

/* Media queries with styles for smaller screens */
@media screen and (max-width: 720px) {
	.pieces-slider__image {
		max-width: 300px;
	}
}

@media screen and (max-width: 55em) {
	.pieces-slider__canvas {
		width: 100vw;
		height: 100vw;
	}
	.pieces-slider__button {
		width: 60px;
		height: 60px;
	}
}






a {
	text-decoration: none;
	color: var(--color-link);
	outline: none;
}

a:hover,
a:focus {
	color: var(--color-link-hover);
}

a:focus,
button:focus {
	outline: none;
}

.hidden {
	position: absolute;
	overflow: hidden;
	width: 0;
	height: 0;
	pointer-events: none;
}

/* Icons */
.icon {
	display: block;
	width: 1.5em;
	height: 1.5em;
	margin: 0 auto;
	fill: currentColor;
}

.icon--keyboard {
	display: none;
}

main {
	position: relative;
	width: 100%;
}

.content {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0 auto;
    min-height: 100vh;
    background: rgba(235,63,1,0.2);

}
.content--fixed {
	position: fixed;
	z-index: 10000;
	top: 0;
	left: 0;
	display: grid;
	align-content: space-between;
	width: 100%;
	max-width: none;
	min-height: 0;
	height: 100vh;
	padding: 1.5em;
	pointer-events: none;
	grid-template-columns: 50% 50%;
	grid-template-rows: auto auto 4em;
	grid-template-areas: 'header ...'
	'... ...'
	'github demos';
}

.content--fixed a {
	pointer-events: auto;
}

/* Header */
.codrops-header {
	position: relative;
	z-index: 100;
	display: flex;
	flex-direction: row;
	align-items: flex-start;
	align-items: center;
	align-self: start;
	grid-area: header;
	justify-self: start;
}

.codrops-header__title {
	font-size: 1em;
	font-weight: bold;
	margin: 0;
	padding: 0.75em 0;
}

.info {
	margin: 0 0 0 1.25em;
	color: var(--color-info);
}

.github {
	display: block;
	align-self: end;
	grid-area: github;
	justify-self: start;
}

/* Top Navigation Style */
.codrops-links {
	position: relative;
	display: flex;
	justify-content: center;
	margin: 0 1em 0 0;
	text-align: center;
	white-space: nowrap;
}

.codrops-icon {
	display: inline-block;
	margin: 0.15em;
	padding: 0.25em;
}

@media screen and (max-width: 55em) {
	body {
		overflow: auto;
	}
	.content {
		flex-direction: column;
		height: auto;
		min-height: 0;
		padding-bottom: 10em;
	}
	.content--fixed {
		position: relative;
		z-index: 1000;
		display: block;
		padding: 0.85em;
	}
	.codrops-header {
		flex-direction: column;
		align-items: center;
	}
	.codrops-header__title {
		font-weight: bold;
		padding-bottom: 0.25em;
		text-align: center;
	}
	.info {
		margin: 0;
	}
	.github {
		display: block;
		margin: 1em auto;
	}
	.codrops-links {
		margin: 0;
	}
}

